CANVAS_PROTO_PRECOMPUTE_FUNC(3)

PROTO_FUNC
canvas_PROTO_precompute_func - Precompute event callback.

SYNOPSIS
#include <karma_canvas.h>

void canvas_PROTO_precompute_func

(KWorldCanvas canvas, int width, int height, struct win_scale_type *win_scale, Kcolourmap cmap, flag cmap_resize, void **info, PostScriptPage pspage, unsigned int num_areas, KPixCanvasRefreshArea *areas)

DESCRIPTION
This routine processes a precompute event for a world canvas.

canvas
    The world canvas.

width
    The width of the canvas in pixels.

height
    The height of the canvas in pixels.

win_scale
    A pointer to the window scaling information. The data are only valid during this callback.

cmap
    The canvas colourmap.

cmap_resize
    If TRUE, the refresh is due to a colourmap resize.

info
    A pointer to the arbitrary information pointer.

pspage
    The PostScriptPage object. If this is NULL, the refresh is *not* destined for a PostScript page.

num_areas
    The number of areas that need to be refreshed. If this is 0 then the entire pixel canvas needs to be refreshed.

areas
    The list of areas that need to be refreshed. Note that these areas are given in pixel co-ordinates.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/